Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
wxPython -> emerge error
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
gordon
n00b
n00b


Joined: 29 Apr 2002
Posts: 1
Location: Germany - Bremen

PostPosted: Mon Apr 29, 2002 3:56 pm    Post subject: wxPython -> emerge error Reply with quote

Hi,

after emerging wxPython I got the following error-message. Does anybody know, how to fix that. I'm keen on playing around with wxPython ;-)


Code:

/usr/i686-pc-linux-gnu/bin/ld: cannot find -lGLU
collect2: ld returned 1 exit status
error: command 'gcc' failed with exit status 1

!!! ERROR: The ebuild did not complete successfully.
!!! Function src_compile, Line 17, Exitcode 1
!!! (no error message)

!!! emerge aborting on  /usr/portage/dev-python/wxPython/wxPython-2.3.2.1.ebuild .



Greetings Gordon
Back to top
View user's profile Send private message
tod
Developer
Developer


Joined: 17 Apr 2002
Posts: 136
Location: Ozarks, USA

PostPosted: Mon Apr 29, 2002 6:16 pm    Post subject: Reply with quote

Hi!

Please see http://bugs.gentoo.org/show_bug.cgi?id=2050

I cannot reproduce this, so I think it is related to your X install and not the wxPython ebuild.

If you have further info to add to the bug, please do. If someone can give me the info so that I can reproduce this, we'll reopen and fix it :D

tod
Back to top
View user's profile Send private message
dalurka
n00b
n00b


Joined: 04 May 2002
Posts: 2
Location: Unimatrix One

PostPosted: Sat May 04, 2002 5:08 pm    Post subject: Re: wxPython -> emerge error Reply with quote

I got a similar error when i tryed to do # emerge system

The error i got was with sys-apps/fileutils/
so what i did to resolve the problem was to just remove fileutils and do # emerge rsync

So then i could proceed :)

Don't know if it helps but it worked for me.

dalurka
Back to top
View user's profile Send private message
tinlail
n00b
n00b


Joined: 30 May 2002
Posts: 3

PostPosted: Thu May 30, 2002 6:39 am    Post subject: wxPython emerge error Reply with quote

try emerging mesa-glu
That fixed it for me.
Back to top
View user's profile Send private message
lx
Veteran
Veteran


Joined: 28 May 2002
Posts: 1012
Location: Netherlands

PostPosted: Thu May 30, 2002 7:25 am    Post subject: Reply with quote

It is installed by the package xfree (mine 4.2.0-r.) (/usr/lib/libGLU.a), mesa can also provide it but is not recommended when using xfree 4.2.0. The library provides opengl functions.

Hope it helps releive the pain, lX :wink:
_________________
"Remember there's a big difference between kneeling down and bending over.", Frank Zappa
Back to top
View user's profile Send private message
tinlail
n00b
n00b


Joined: 30 May 2002
Posts: 3

PostPosted: Thu May 30, 2002 8:19 pm    Post subject: Reply with quote

Well I seem not to be getting libGLU.a from the xfree-4.2.0-r9 package, so maybe that is the problem.

Mesa-glu seemed to fix the problem only for a very narrow range of fix, since my wxPython program seems to core dump. So I don't recomend that to any one. :oops:

I am adding opengl to my use line and emerging xfree now
Back to top
View user's profile Send private message
tinlail
n00b
n00b


Joined: 30 May 2002
Posts: 3

PostPosted: Fri May 31, 2002 5:40 pm    Post subject: Reply with quote

Nope that didn't cause that library to appear
Back to top
View user's profile Send private message
radfaraf
n00b
n00b


Joined: 25 May 2002
Posts: 55
Location: NJ

PostPosted: Mon Jun 03, 2002 2:07 am    Post subject: Reply with quote

Tried emerging this today and got the same error.
my libGLU.a is at /usr/X11R6/lib/libGLU.a
and I have a nvidia card with the drivers for it.
Back to top
View user's profile Send private message
lx
Veteran
Veteran


Joined: 28 May 2002
Posts: 1012
Location: Netherlands

PostPosted: Mon Jun 03, 2002 7:34 am    Post subject: Reply with quote

Have you checked if the line /usr/X11R6... is in /etc/ld.so.conf, well it should be. or try
Quote:
LD_LIBRARY_PATH=/usr/X11R6/lib emerge ..


Maybe it helps, lX

note: to use the opengl libraries with xfree you need to run update-opengl nvidia first, you should do this after emerging xfree again. Has nothing to do with your problem, but with using the right (nvidia) modules.
_________________
"Remember there's a big difference between kneeling down and bending over.", Frank Zappa
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum